Delete stored Dialogflow Connection
Deletes a stored Dialogflow Connection.
DELETE
/
dialogflow_connections
/
{connection_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.dialogflowConnections.delete('connection_id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.dialogflow_connections.delete(
"connection_id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.DialogflowConnections.Delete(context.TODO(), "connection_id")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.dialogflowConnections().delete("connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.dialogflow_connections.delete("connection_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->dialogflowConnections->delete('connection_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx dialogflow-connections delete \
--api-key 'My API Key' \
--connection-id connection_idcurl --request DELETE \
--url https://api.telnyx.com/v2/dialogflow_connections/{connection_id} \
--header 'Authorization: Bearer <token>'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies a Telnyx application (Call Control).
Response
The Dialogflow Connection for connection_id was deleted successfully.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.dialogflowConnections.delete('connection_id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.dialogflow_connections.delete(
"connection_id",
)package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.DialogflowConnections.Delete(context.TODO(), "connection_id")
if err != nil {
panic(err.Error())
}
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.dialogflowconnections.DialogflowConnectionDeleteParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.dialogflowConnections().delete("connection_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
result = telnyx.dialogflow_connections.delete("connection_id")
puts(result)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$result = $client->dialogflowConnections->delete('connection_id');
var_dump($result);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx dialogflow-connections delete \
--api-key 'My API Key' \
--connection-id connection_idcurl --request DELETE \
--url https://api.telnyx.com/v2/dialogflow_connections/{connection_id} \
--header 'Authorization: Bearer <token>'